Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1275251 - [Docs] [Managing Providers] Add a section "Using a non root account for Host Credentials" in "Settings and Operations Guide"
Summary: [Docs] [Managing Providers] Add a section "Using a non root account for Host ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Documentation
Version: 5.4.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.5.0
Assignee: Shikha
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-26 11:44 UTC by Prasad Mukhedkar
Modified: 2019-10-10 10:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-08 10:47:43 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Prasad Mukhedkar 2015-10-26 11:44:16 UTC
There is artticle but its very old. https://access.redhat.com/sites/default/files/attachments/usinganonrootaccount_3x_4x_0.pdf

ESXi 5.5 does not have a "state" namespace in the role privilege hierarchy.

Comment 2 Andrew Dahms 2015-11-10 04:05:40 UTC
Assigning to Shikha for review.

Shikha - what we need to do here is add a section in 'Managing Providers' on how to set up non-root credentials to allow access for vSphere providers.

The case includes several notes, and the following article is the most up to date reference on the subject - https://access.redhat.com/articles/320543

I also imagine that we will need to reach out to engineering and the support personnel for the case above to ensure we are on the right track.

Comment 3 Shikha 2015-12-02 01:05:09 UTC
Hi Andrew,
I have added the content in Authenticating_VMware_vCenter_Hosts.adoc here:
https://gitlab.cee.redhat.com/rhci-documentation/docs-Red_Hat_CloudForms/commit/67936ce567901ad8322d202faf37b39344bf3dd4

The content has been merged.
Please Verify.
Regards,
Shikha

Comment 4 Andrew Dahms 2015-12-08 10:47:43 UTC
Hi Shikha,

Thank you for the needinfo request.

I can confirm that the requested content has been added.

Closing.


Note You need to log in before you can comment on or make changes to this bug.